function [ctmax,ctmin,topt] = sigmasmodel(tave,xt,sigmas)

%inputs for the model are tave (average temperature), xt (seasonality or
%sigma_t) and sigmas (spatial heterogeneity)

% use seasonality and spatial heterogeneity regressions (Table 1) to calculate CTmax, CTmin and Topt
ctmax =  10.^((0.14.*(xt.^0.5)) + (0.6.*(log10(sigmas)))+(0.24.*(((log10(sigmas)).*(xt.^0.5))))+0.86696) + tave;
topt  = ((0.76.*(xt.^0.5)) + (3.23.*(log10(sigmas)))+(1.28.*(((log10(sigmas)).*(xt.^0.5))))+1.4524).^2 + tave;
ctmin = topt*(1+4)-ctmax*4; 
   
end

